%global pypi_name dynaconf

%if 0%{?rhel} == 8
%global component_prefix 3x
%endif

Name:           python%{?component_prefix}-%{pypi_name}
Version:        3.1.12
Release:        1%{?dist}
Summary:        The dynamic configurator for your Python Project

License:        MIT
URL:            https://github.com/rochacbruno/dynaconf
Source0:        dynaconf-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-rpm-macros
BuildRequires:  python%{python3_pkgversion}-setuptools >= 38.6.0

%description
%{summary}

%package -n     python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}

Obsoletes:      python3-%{pypi_name} < %{version}-%{release}
%if 0%{?rhel} == 8
Obsoletes:      python38-%{pypi_name} < %{version}-%{release}
%endif

Provides: bundled(python3dist(box)) = 4.2.3
Provides: bundled(python3dist(click)) = 8.0.0
Provides: bundled(python3dist(dotenv)) = 0.13.0
Provides: bundled(python3dist(ruamel.yaml)) = 0.16.10
Provides: bundled(python3dist(toml)) = 0.10.1
Provides: bundled(python3dist(tomli)) = 2.0.1

%description -n python%{python3_pkgversion}-%{pypi_name}
%{summary}

%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py3_build

%install
%py3_install

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE
%doc README.md
%{_bindir}/dynaconf
%{python3_sitelib}/%{pypi_name}
%{python3_sitelib}/%{pypi_name}-%{version}-py%{python3_version}.egg-info

%changelog
* Fri Mar 03 2023 Satoe Imaishi <simaishi@redhat.com> - 3.1.12-1
- Update to 3.1.12

* Fri Jul 01 2022 Satoe Imaishi <simaishi@redhat.com> - 3.1.9-1
- Release python-dynaconf 3.1.9
